# PSF-LoginServer - master - net.psforever.packet.game.objectcreate.CommonFieldData
PSF - LoginServer - master - net.psforever.packet.game.objectcreate.CommonFieldData
Keywords: PSF LoginServer master net.psforever.packet.game.objectcreate.CommonFieldData

PSF-LoginServer - master < Back


# Packages

-  package root
  Definition Classes
    root
-  package net
  Definition Classes
    root
-  package psforever
  Definition Classes
    net
-  package packet
  Definition Classes
    psforever
-  package game
  Definition Classes
    packet
-  package objectcreate
  Definition Classes
    game
- AegisShieldGeneratorData
- AmmoBoxData
- BasicCharacterData
- CaptureFlagData
- CharacterAppearanceA
- CharacterAppearanceB
- CharacterAppearanceData
- CharacterData
- CommonFieldData
- CommonFieldDataExtra
- CommonFieldDataWithPlacement
- ConstructorData
- DCDExtra1
- DCDExtra2
- DestroyedVehicleData
- DetailedAmmoBoxData
- DetailedCharacterA
- DetailedCharacterB
- DetailedCharacterData
- DetailedCommandDetonaterData
- DetailedConstructionToolData
- DetailedLockerContainerData
- DetailedPlayerData
- DetailedREKData
- DetailedWeaponData
- DrawnSlot
- DroppedItemData
- DroppodData
- FlightPhysics
- HandheldData
- ImplantEffects
- ImplantEntry
- InternalSlot
- InventoryData
- InventoryItemData
- LargeDeployableData
- LockerContainerData
- MountItem
- ObjectClass
- ObjectCreateBase
- ObjectCreateMessageParent
- OneMannedFieldTurretData
- OrbitalShuttleData
- PlacementData
- PlayerData
- Prefab
- REKData
- RemoteProjectileData
- RemoteProjectiles
- RibbonBars
- SmallTurretData
- SpecificVehicleData
- StreamBitSize
- TRAPData
- TelepadDeployableData
- TerminalData
- UniformStyle
- UtilityVehicleData
- VariantVehicleData
- VehicleData
- VehicleFormat
- WeaponData

c

net.psforever.packet.game.objectcreate

# CommonFieldData 

###
Companion object CommonFieldData

#### final case class CommonFieldData(faction: types.PlanetSideEmpire.Value, bops: Boolean, alternate: Boolean, v1: Boolean, v2: Option[CommonFieldDataExtra], jammered: Boolean, v4: Option[Boolean], v5: Option[Int], guid: PlanetSideGUID) extends ConstructorData with Product with Serializable

Data that is common to a number of game object serializations.

faction

  faction affinity `NEUTRAL` when not required to be any specific value

bops

  usually indicates black ops affiliation

alternate

  usually indicates variance in model from default (e.g., vehicle is destroyed, player has released, etc.); when set on a tool, that tool will be rendered nonfunctional instead (though it can still be equipped)

v1

  na

v2

  na; optional data whose reading is triggered in unknown conditions

jammered

  flag as "jammered;" set on most game objects, that object will produce the characteristic jammered buzz

v4

  na; a field used by a second encoding format for this data

v5

  na; previously considered to flag as "jammered"

guid

  usually indicates another active game object that placed/leverages/[action]s this object

Source
  CommonFieldData.scala

Linear Supertypes
Serializable, Product, Equals, ConstructorData, StreamBitSize, AnyRef, Any

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. CommonFieldData
2. Serializable
3. Product
4. Equals
5. ConstructorData
6. StreamBitSize
7. AnyRef
8. Any

1. Hide All
2. Show All

Visibility

1. Public
2. Protected

### Instance Constructors

1.  new CommonFieldData(faction: types.PlanetSideEmpire.Value, bops: Boolean, alternate: Boolean, v1: Boolean, v2: Option[CommonFieldDataExtra], jammered: Boolean, v4: Option[Boolean], v5: Option[Int], guid: PlanetSideGUID)

   faction

     faction affinity `NEUTRAL` when not required to be any specific value

   bops

     usually indicates black ops affiliation

   alternate

     usually indicates variance in model from default (e.g., vehicle is destroyed, player has released, etc.); when set on a tool, that tool will be rendered nonfunctional instead (though it can still be equipped)

   v1

     na

   v2

     na; optional data whose reading is triggered in unknown conditions

   jammered

     flag as "jammered;" set on most game objects, that object will produce the characteristic jammered buzz

   v4

     na; a field used by a second encoding format for this data

   v5

     na; previously considered to flag as "jammered"

   guid

     usually indicates another active game object that placed/leverages/[action]s this object

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##: Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  val alternate: Boolean
5.  def apply(flag: Boolean): CommonFieldData
6.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
7.  def bitsize: Long

   Performs a "sizeof()" analysis of the given object.
   The calculation reflects the `scodec Codec` definition rather than the explicit parameter fields.

   Performs a "sizeof()" analysis of the given object.
   The calculation reflects the `scodec Codec` definition rather than the explicit parameter fields. For example, a traditional `Int` is normally a 32-bit number, often rendered as a `32u` number. When parsed with a `uintL(7)`, it's length will be considered 7 bits (`7u`). (Note: being permanently signed, an `scodec` value of `32u` or longer must fit into a `Long` type.)

   returns

     the number of bits necessary to measure an object of this class; defaults to `0L`

   Definition Classes
     CommonFieldData → StreamBitSize
8.  val bops: Boolean
9.  def clone(): AnyRef
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws(classOf[java.lang.CloneNotSupportedException]) @native()
10.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
11.  val faction: types.PlanetSideEmpire.Value
12.  def finalize(): Unit
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.Throwable])
13.  final def getClass(): Class[_ <: AnyRef]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
14.  val guid: PlanetSideGUID
15.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
16.  val jammered: Boolean
17.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
18.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
19.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
20.  def productElementNames: Iterator[String]
    Definition Classes
      Product
21.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
22.  val v1: Boolean
23.  val v2: Option[CommonFieldDataExtra]
24.  val v4: Option[Boolean]
25.  val v5: Option[Int]
26.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
27.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
28.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()

### Inherited from Serializable

### Inherited from Product

### Inherited from Equals

### Inherited from ConstructorData

### Inherited from StreamBitSize

### Inherited from AnyRef

### Inherited from Any

### Ungrouped